ssget and circular selection windows

Hello,

I'm trying to use ssget with a crossing circle as the selection window, but it's not behaving as expected. I'm hoping someone more familiar with ssget would be able to provide some example code of how to specify the center point and the radius of the circle. Thanks in advance!

Comments

  • Hi Connor,

    You would need to raise a support request to confirm, but I don't think it is possible to make a circle selection directly from an SSGET call.
    I.e. if your trying
    [code](ssget "CC" '(0 0) '(100 100))[/code]
    for Crossing Circular selection it won't work.  Circular selection is something unique to BricsCAD.

    Possible work arounds
    Run SSGET, then use command calls for circular selection. e.g.
    [code](ssget)
    (command "CC" '(0 0) '(100 100))
    [/code]

    or use SELECT command followed by a SSGET "P"
    [code](command "._SELECT" "CC" '(0 0) '(100 100) "")
    (ssget "P")
    [/code]
    This method may not necessarily return the correct results.

    BTW Lee Mac gives a good summary of options available for use with SSGET.


    Regards, Jason Bourhill CAD Concepts 
  • According to the documentation BricsCAD V7 supports the "CC" option for ssget.
    Be aware that not all ssget option mentioned in Jason's link are available in BricsCAD.
  • V7 was prior to the switch from Intellicad source. Have you tried with a recent version? Perhaps I had the syntax wrong, but in V15 I just got a nil return.

    Regards, Jason Bourhill CAD Concepts 
  • Sorry Jason, I should have been clearer. There is nothing wrong with your syntax. Recent versions of BricsCAD indeed no longer support this.

    If you really want this option you can emulate it by calculating points for a circular polygon and using the "CP" option of ssget.
This discussion has been closed.